
####
# Upcalls
##
# proc set_instance_id {id}
# have_an_error {pi errmsg}
####

####
# Callback
##
# quit {ProtoInstance}
####


###
### global vars
###
if {![info exists ProtoInstance]} {
	set ProtoInstance	-1
}
if {![info exists RLCINFOS]} {
	set RLCINFOS	"Not present ... sorry!"
}

###
# appearence parameters
###
set globFonts		6x10

frame .expl
frame .expr
frame .expt
frame .expb

frame .fmenu -relief groove -bd 2
menubutton .fmenu.file -text "File"
menu .fmenu.file.quit -title "quit"
.fmenu.file.quit add command -label "quit" -command \
	"appcall quit $ProtoInstance"
.fmenu.file configure -menu .fmenu.file.quit

menubutton .fmenu.help -text "Help"
set HelpButt [menu .fmenu.help.rlc -title "Help"]
$HelpButt add command -label "About RLC" -command \
	"show_infos {$RLCINFOS} \"About RLC\""
.fmenu.help configure -menu $HelpButt

# let's give a default name to the main window
wm title . "rlc"

pack .fmenu	-side top -fill x
pack .fmenu.file -side left
pack .fmenu.help -side right
pack .expl      -side left
pack .expr      -side right
pack .expt      -side top  
pack .expb      -side bottom


proc have_an_error {pi errmsg} {
	tk_messageBox -icon error -title "Error" -type ok -message \
	    "Error in $pi :\n$errmsg"
	appcall quit $pi
}

proc have_an_warning {pi errmsg} {
	set ret [tk_messageBox -icon warning -title "Warning" \
	     -type okcancel -message \
	    "Warning in $pi :\n$errmsg \nAbort ?" ]
	case $ret {
	   ok "appcall quit $pi"
	   cancel {}
	}
}

proc set_instance_id {id} {
	global ProtoInstance
	set ProtoInstance $id
	puts "protinst set to $id"
}


proc show_infos {text title} {
	set w .text
	catch {destroy $w}
	toplevel $w
	wm title $w "$title"
	wm iconname $w "text"

	frame $w.buttons
	pack $w.buttons -side top -fill x -pady 2m
	button $w.buttons.dismiss -text Dismiss -command "destroy $w"
	pack $w.buttons.dismiss -side left -expand 1

	text $w.text -relief sunken -bd 2 -yscrollcommand "$w.scroll set" \
		-setgrid 1 -height 30 -width 60
	scrollbar $w.scroll -command "$w.text yview"
	pack $w.scroll -side right -fill y
	pack $w.text -expand yes -fill both
	$w.text insert 0.0 \
		$text
	$w.text mark set insert 0.0
}
